Module modQuiz
    Public Antworten As New ArrayList
    Public Auswahl As New ArrayList
    Public intFragenAnzahl As Integer = 0        ' anzahl fragen
    Public intPunktZahl As Integer = 0           ' aktuelle punktzahl
    Public intAntwortAufFrage As Integer         ' aus der gewählten schaltfläche
    Public booAusgeblendet(4) As Boolean         ' antwort ausgeblendet bzw. richtig
    Public strSPIELANLEITUNG As String = "quiz.pdf"

    Public Sub Grundeinstellung()
        Dim i As Integer
        For i = 0 To 4
            Antworten(i).Enabled = False
            Antworten(i).BackColor = Color.White
            Antworten(i).ForeColor = Color.Black
            Antworten(i).Text = ""
            Auswahl(i).Enabled = False
            booAusgeblendet(i) = False
        Next
        With Form1
            .CmdAusblenden.Enabled = False
            .LblNr.Text = intFragenAnzahl.ToString
            .LblPunkte.Text = intPunktZahl.ToString
        End With
    End Sub
    Public Sub FrageAuswaehlen()
        Grundeinstellung()
        intFragenAnzahl += 1
        Dim intRandom As New Random
        Dim intZufall As Integer
        With Form1
            .LblNr.Text = intFragenAnzahl.ToString
            intZufall = intRandom.Next(0, .LstAlleFragen.Items.Count - 1)
            .TxtAktuell.Text = .LstAlleFragen.Items(intZufall)   ' textzeile 
            .LstAlleFragen.Items.RemoveAt(intZufall)
        End With
        FrageAntwortenSplitten()
    End Sub
    Private Sub FrageAntwortenSplitten()
        Dim i As Integer
        Dim strEinlesen As String
        Dim strTeil() As String 'anzahl; 
        With Form1
            strEinlesen = .TxtAktuell.Text
            strTeil = strEinlesen.Split(";")
            For i = 0 To strTeil.Count - 1
                Antworten(i).Text = strTeil(i)
            Next
            .CmdFrage.Enabled = False
            .CmdAusblenden.Enabled = True
            .LblInfo.Text = "Klicken Sie auf >A<, >B<, >C< oder >D<" & vbCrLf &
                "wenn Sie meinen die richtige Antwort zu wissen." & vbCrLf &
                "Sie können auch eine falsche Antwort ausblenden."
        End With
    End Sub
End Module
